| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCommonImageFile::LoaderJob Class Reference

Inheritance diagram for csCommonImageFile::LoaderJob:

[legend]
List of all members.

## Public Member Functions
| LoaderJob (iImageFileLoader *loader)
| Create new instance with a given image loader.
## Public Attributes
csRef< iImageFileLoader > | currentLoader
| The actual image loader.
bool | loadResult
| Result of the iImageFileLoader->LoadData() call.

## Detailed Description

Definition at line 145 of file commonimagefile.h.

## Constructor & Destructor Documentation

csCommonImageFile::LoaderJob::LoaderJob | ( | iImageFileLoader * | loader | ) |

Create new instance with a given image loader.

## Member Data Documentation

csRef<iImageFileLoader> csCommonImageFile::LoaderJob::currentLoader

The actual image loader.

Definition at line 150 of file commonimagefile.h.

bool csCommonImageFile::LoaderJob::loadResult

Result of the iImageFileLoader->LoadData() call.

Definition at line 152 of file commonimagefile.h.

The documentation for this class was generated from the following file:

- csplugincommon/imageloader/commonimagefile.h